Subject: bug#5721: Feature request: Function that returns absolute coordinates

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Sat, 17 Jul 2010 14:32:15 +0900

>>>>> On Sat, 17 Jul 2010 09:30:43 +0900, YAMAMOTO Mitsuharu <[email-masked]> said:

> Even with Compiz, left/top frame parameters point to the title bar
> if we turn off visual effects.  I tested it with Ubuntu 10.04.

> I suspect x_real_positions fails to get the window for decoration
> for Compiz if visual effects are turned on.  Maybe Compiz does not
> assign X11 windows for window decorations.

As far as I tested with xprop and xwininfo, _NET_FRAME_WINDOW and/or
_NET_[REQUEST_]FRAME_EXTENTS seem to be useful for x_real_positions to
do the documented job.  (Though I could not find the former in EWMH.)

/* Store the screen positions of frame F into XPTR and YPTR.
   These are the positions of the containing window manager window,
   not Emacs's own window.  */

				     YAMAMOTO Mitsuharu
				[email-masked]